Debian Bug report logs - #333506
dialog: wrong cursor placement on startup of "--form"

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Moritz Bunkus <moritz@bunkus.org>

Date: Wed, 12 Oct 2005 09:03:02 UTC

Severity: minor

Found in version dialog/1.0-20051005-1

Fixed in version dialog/1.0-20051030-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#333506; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Moritz Bunkus <moritz@bunkus.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Moritz Bunkus <moritz@bunkus.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: wrong cursor placement on startup of "--form"
Date: Wed, 12 Oct 2005 10:46:43 +0200
Package: dialog
Version: 1.0-20051005-1
Severity: minor

If I use dialog's --form mode the cursor is shown at the wrong place
on startup: it is shown in the first input box but not on the
button. The button is still highlighted correctly, though, and the
cursor is placed correctly as soon as I hit TAB or the cursor
keys. This suggests to the user that the focus is on the input box (at
least it confuses me).

How to reproduce:

dialog --title "Edit an ARecord" --defaultno \
  --form "Edit an ARecord" 20 60 0 \
  "Name: dummy" 1 2 "" 1 11 0 0 \
  Address: 3 2 192.168.0.1 3 11 20 20

-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.13.2
Locale: LANG=C, LC_CTYPE=de_DE@euro

Versions of packages dialog depends on:
ii  debianutils                   2.8.4      Miscellaneous utilities specific t
ii  libc6                         2.3.5-3    GNU C Library: Shared libraries an
ii  libncursesw5                  5.4-9      Shared libraries for terminal hand

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#333506; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to dickey@his.com:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #10 received at 333506@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 333506@bugs.debian.org
Subject: re: #333506: dialog: wrong cursor placement on startup of "--form"
Date: Sun, 30 Oct 2005 16:19:59 -0500
[Message part 1 (text/plain, inline)]
fixed in dialog 1.0-20051030

-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net
[signature.asc (application/pgp-signature, inline)]

Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Moritz Bunkus <moritz@bunkus.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 333506-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 333506-close@bugs.debian.org
Subject: Bug#333506: fixed in dialog 1.0-20051030-1
Date: Mon, 31 Oct 2005 09:02:09 -0800
Source: dialog
Source-Version: 1.0-20051030-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.0-20051030-1.diff.gz
  to pool/main/d/dialog/dialog_1.0-20051030-1.diff.gz
dialog_1.0-20051030-1.dsc
  to pool/main/d/dialog/dialog_1.0-20051030-1.dsc
dialog_1.0-20051030-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.0-20051030-1_powerpc.deb
dialog_1.0-20051030.orig.tar.gz
  to pool/main/d/dialog/dialog_1.0-20051030.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 333506@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 31 Oct 2005 17:52:42 +0100
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.0-20051030-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 333506
Changes: 
 dialog (1.0-20051030-1) unstable; urgency=low
 .
   * New upstream release.
   * Fixed a bug where cursor was wrongly placed (Closes: #333506).
Files: 
 0fdd472b872b2d1558c50b5e4e391b78 593 misc optional dialog_1.0-20051030-1.dsc
 a3bc591a5c74be3663042a42a6b6b1ca 309943 misc optional dialog_1.0-20051030.orig.tar.gz
 a414f8b9a08cd1cc7d986be0a2c164f3 8021 misc optional dialog_1.0-20051030-1.diff.gz
 8797f52e13e343597a563f97db4c9298 211146 misc optional dialog_1.0-20051030-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDZktZd9Uuvj7yPNYRAvYUAKCXkZFBvLvfNBvbxtNz/kID6atX8ACeNccT
Rv2GAkg/GZBOqZ4pEkfMOEs=
=ARM1
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 11:25:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 00:31:34 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.